version: 1
default_environment: dev
project_id: ad128a5b-d553-48e2-87f8-b24f3319cfb8
environments:
- name: dev
  config:
    plugins:
      loaders:
      - name: target-bigquery
        config:
          project_id: semafor-dev
          dataset_id: test_pub_dataset
          location: us
          credentials_path: /Users/pierre.semaan/.config/gcloud/application_default_credentials.json
          replication_method: append
          limit: 1000
      extractors:
      - name: tap-bigquery
        config:
          streams:
          - name: bq-nyc_taxi_trips-yellow_2022
            table: bigquery-public-data.new_york_taxi_trips.tlc_yellow_trips_2022
            columns:
            - '*'
            datetime_key: pickup_datetime
          start_datetime: '2022-01-01T00:00:00Z'
          end_datetime: '2022-01-02T00:00:00Z'
          limit: 1000
- name: staging
- name: prod
plugins:
  extractors:
  - name: tap-facebook
    variant: singer-io
    pip_url: git+https://github.com/singer-io/tap-facebook.git
    config:
      account_id: ''
      start_date: 01/24/2023
      end_date: 01/26/2023
      insights_buffer_days: 0
      include_deleted: true
    select:
    - adcreative.*
  - name: tap-googleads
    variant: matatika
    pip_url: git+https://github.com/Matatika/tap-googleads.git
  - name: tap-bigquery
    variant: anelendata
    pip_url: tap-bigquery
    config:
      start_always_inclusive: false
  - name: tap-github
    variant: meltanolabs
    pip_url: git+https://github.com/MeltanoLabs/tap-github.git
    config:
      rate_limit_buffer: 999
      start_date: '2022-12-01'
      repositories:
      - Pierre-Semaan/meltano_testing
    select:
    - commits.url
    - commits.sha
    - commits.commit_timestamp
  loaders:
  - name: target-bigquery
    variant: adswerve
    pip_url: git+https://github.com/adswerve/target-bigquery.git@0.12.0
    config:
      project_id: semafor-dev
      dataset_id: pierre_meltano_test
      location: us
      credentials_path: /Users/pierre.semaan/.config/gcloud/application_default_credentials.json
      replication_method: append
  - name: target-jsonl
    variant: andyh1203
    pip_url: target-jsonl
